[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomPage.ImageIndex

Ordinal position for the image associated with the page.

## Declaration

Source position: comctrls.pp line 269

`public property TCustomPage.ImageIndex : TImageIndex read FImageIndex write SetImageIndex default - 1;`

## Description

ImageIndex contains the ordinal position in an image list for the image associated with the page instance. The default value for the property is -1 and indicates that an image has not been assigned for the page. The image list is a property available in the Parent control.

Changing the value for the property causes the widgetset class to be notified using its UpdateTabProperties method.

No actions are performed in the method during LCL component streaming, or when the Handle for the control has not been allocated.